---
# This file contains a list of EOL (end-of-life) images. These images might
# still be found in the list of used images in the head versions of Rancher.
# However, these images are considered EOL by their respective teams, so
# image-scanning must not scan them and neither open an issue. Ideally, only
# teams must add images to this list, following a PR review from RST.
images:
  # The image must contain the exact tag version.
  #
  # EOL RKE2, and related images, for K8s versions v1.23 up until v1.26.
  # Currently v1.27 is the default version in Rancher v2.7 and v1.28 is the
  # default version in v2.8.
  - "rancher/hardened-kubernetes:v1.23.17-rke2r1-build20230228"
  - "rancher/hardened-kubernetes:v1.24.17-rke2r1-build20230824"
  - "rancher/hardened-kubernetes:v1.25.16-rke2r1-build20231116"
  - "rancher/hardened-kubernetes:v1.26.15-rke2r1-build20240314"
  - "rancher/hardened-kubernetes:v1.27.13-rke2r1-build20240416"
  - "rancher/rke2-runtime:v1.23.17-rke2r1"
  - "rancher/rke2-runtime:v1.24.17-rke2r1"
  - "rancher/rke2-runtime:v1.25.16-rke2r1"
  - "rancher/rke2-runtime:v1.26.15-rke2r1"
  - "rancher/rke2-runtime:v1.27.13-rke2r1"
  - "rancher/rke2-runtime:v1.27.16-rke2r2"
  - "rancher/rke2-upgrade:v1.23.17-rke2r1"
  - "rancher/rke2-upgrade:v1.24.17-rke2r1"
  - "rancher/rke2-upgrade:v1.25.16-rke2r1"
  - "rancher/rke2-upgrade:v1.26.15-rke2r1"
  
  # EOL RKE1 related images, for K8s versions v1.23 up until v1.26.
  # Currently v1.27 is the default version in Rancher v2.7 and v1.28 is the
  # default version in v2.8.
  # Hyperkube images
  - "rancher/hyperkube:v1.23.16-rancher2"
  - "rancher/hyperkube:v1.24.17-rancher1"
  - "rancher/hyperkube:v1.25.16-rancher2"
  - "rancher/hyperkube:v1.26.15-rancher1"
  # Other RKE1 related images referenced ONLY by EOL K8s versions, ref.
  # https://github.com/rancher/kontainer-driver-metadata/blob/dev-v2.9/pkg/rke/k8s_rke_system_images.go
  - "rancher/calico-cni:v3.22.5-rancher1"

  - "rancher/flannel-cni:v0.3.0-rancher7"
  - "rancher/flannel-cni:v0.3.0-rancher8"

  - "rancher/mirrored-cluster-proportional-autoscaler:1.8.6"

  - "rancher/mirrored-coreos-etcd:v3.5.3"
  - "rancher/mirrored-coreos-etcd:v3.5.4"

  - "rancher/mirrored-coreos-flannel:v0.15.1"

  - "rancher/mirrored-flannel-flannel:v0.17.0"
  - "rancher/mirrored-flannel-flannel:v0.19.2"

  - "rancher/mirrored-flannelcni-flannel:v0.17.0"
  - "rancher/mirrored-flannelcni-flannel:v0.19.2"

  - "rancher/mirrored-ingress-nginx-kube-webhook-certgen:v1.1.1"

  - "rancher/mirrored-k8s-dns-dnsmasq-nanny:1.21.1"

  - "rancher/mirrored-k8s-dns-kube-dns:1.21.1"

  - "rancher/mirrored-k8s-dns-node-cache:1.21.1"

  - "rancher/mirrored-k8s-dns-sidecar:1.21.1"

  - "rancher/nginx-ingress-controller:nginx-1.5.1-rancher2"

  - "rancher/rke-tools:v0.1.88"
  - "rancher/rke-tools:v0.1.90"

  # Skipped the following images due to them also used by RKE2/K3s and we
  # include older RKE2 patch versions in `rancher-images.txt` file currently
  # (it's possible to handle them but requires deeper check of RKE2 images)
  # * rancher/mirrored-calico-node
  # * rancher/mirrored-calico-cni
  # * rancher/mirrored-calico-kube-controllers
  # * rancher/mirrored-calico-ctl
  # * rancher/mirrored-calico-pod2daemon-flexvol
  # * rancher/mirrored-metrics-server
  # * rancher/mirrored-coredns-coredns

  # EOL K3s, and related images, for K8s versions v1.23 up until v1.26.
  # Currently v1.27 is the default version in Rancher v2.7 and v1.28 is the
  # default version in v2.8.
  - "rancher/k3s-upgrade:v1.23.17-k3s1"
  - "rancher/k3s-upgrade:v1.24.17-k3s1"
  - "rancher/k3s-upgrade:v1.25.16-k3s4"
  - "rancher/k3s-upgrade:v1.26.15-k3s1"

  # EOL ingress-nginx images (hardened).  All current versions of RKE2 are using the latest images
  - "rancher/nginx-ingress-controller:nginx-1.9.6-hardened1"
  - "rancher/nginx-ingress-controller:nginx-1.9.3-hardened1"
  - "rancher/nginx-ingress-controller:nginx-1.7.1-hardened1"
  - "rancher/nginx-ingress-controller:nginx-1.6.4-hardened4"
  - "rancher/nginx-ingress-controller:nginx-1.4.1-hardened2"
  - "rancher/nginx-ingress-controller:nginx-1.2.1-hardened9"
  - "rancher/nginx-ingress-controller:nginx-1.2.1-hardened7"
  - "rancher/nginx-ingress-controller:v1.10.1-hardened1"

  # vSphere CPI chart images used ONLY by EOL K8s versions
  # Initial list from https://github.com/rancher/vsphere-charts/blob/main/charts/rancher-vsphere-cpi/values.yaml
  # Also includes older patch versions used by previous versions of the file above 
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.18.0"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.19.0"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.20.1"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.21.3"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.22.5"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.22.8"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.23.1"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.23.3"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.23.4"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.24.1"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.24.2"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.24.3"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.24.5"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.24.6"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.25.0"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.25.2"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.25.3"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.26.1"
  - "rancher/mirrored-cloud-provider-vsphere-cpi-release-manager:v1.26.2"

  # vSphere CSI chart images used ONLY by EOL K8s versions
  # Refer to https://github.com/rancher/vsphere-charts/blob/main/charts/rancher-vsphere-csi
  # Also includes older patch versions used by previous versions of the file above   
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v2.4.3"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v2.5.0"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v2.5.3"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v2.5.4"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v2.6.1"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v2.6.2"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v2.6.3"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v2.7.0"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v2.7.2"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v3.0.1"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v3.0.2"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-driver:v3.1.2"

  - "rancher/mirrored-sig-storage-csi-attacher:v3.3.0"
  - "rancher/mirrored-sig-storage-csi-attacher:v3.4.0"
  - "rancher/mirrored-sig-storage-csi-attacher:v3.5.0"
  - "rancher/mirrored-sig-storage-csi-attacher:v4.2.0"
  - "rancher/mirrored-sig-storage-csi-attacher:v4.3.0"

  - "rancher/mirrored-sig-storage-csi-resizer:v1.3.0"
  - "rancher/mirrored-sig-storage-csi-resizer:v1.4.0"
  - "rancher/mirrored-sig-storage-csi-resizer:v1.6.0"
  - "rancher/mirrored-sig-storage-csi-resizer:v1.7.0"
  - "rancher/mirrored-sig-storage-csi-resizer:v1.8.0"

  - "rancher/mirrored-sig-storage-livenessprobe:v2.6.0"
  - "rancher/mirrored-sig-storage-livenessprobe:v2.7.0"
  - "rancher/mirrored-sig-storage-livenessprobe:v2.8.0"
  - "rancher/mirrored-sig-storage-livenessprobe:v2.9.0"
  - "rancher/mirrored-sig-storage-livenessprobe:v2.10.0"

  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v2.4.3"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v2.5.0"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v2.5.3"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v2.5.4"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v2.6.1"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v2.6.2"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v2.6.3"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v2.7.0"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v2.7.2"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v3.0.1"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v3.0.2"
  - "rancher/mirrored-cloud-provider-vsphere-csi-release-syncer:v3.1.2"

  - "rancher/mirrored-sig-storage-csi-provisioner:v3.0.0"
  - "rancher/mirrored-sig-storage-csi-provisioner:v3.1.0"
  - "rancher/mirrored-sig-storage-csi-provisioner:v3.2.1"
  - "rancher/mirrored-sig-storage-csi-provisioner:v3.3.0"
  - "rancher/mirrored-sig-storage-csi-provisioner:v3.4.0"
  - "rancher/mirrored-sig-storage-csi-provisioner:v3.5.0"

  - "rancher/mirrored-sig-storage-csi-node-driver-registrar:v2.3.0"
  - "rancher/mirrored-sig-storage-csi-node-driver-registrar:v2.5.0"
  - "rancher/mirrored-sig-storage-csi-node-driver-registrar:v2.5.1"
  - "rancher/mirrored-sig-storage-csi-node-driver-registrar:v2.6.2"
  - "rancher/mirrored-sig-storage-csi-node-driver-registrar:v2.7.0"
  - "rancher/mirrored-sig-storage-csi-node-driver-registrar:v2.8.0"
  
  # July 2029 RKE2 image/CNI cleanup
  # autoscaler
  - "rancher/hardened-cluster-autoscaler:v1.8.5-build20211119"
  - "rancher/hardened-cluster-autoscaler:v1.8.6-build20231009"
  - "rancher/hardened-cluster-autoscaler:v1.8.6-build20230609"
  - "rancher/hardened-cluster-autoscaler:v1.8.6-build20230406"
  - "rancher/hardened-cluster-autoscaler:v1.8.5-build20221011"

  #dns-node-cache
  - "rancher/hardened-dns-node-cache:1.21.2-build20211119"
  - "rancher/hardened-dns-node-cache:1.21.2-build20221011"
  - "rancher/hardened-dns-node-cache:1.22.20-build20230406"
  - "rancher/hardened-dns-node-cache:1.22.20-build20230607"
  - "rancher/hardened-dns-node-cache:1.22.20-build20231010"

  #SRIOV
  - "rancher/hardened-ib-sriov-cni:v1.0.2-build20220419"
  - "rancher/hardened-sriov-cni:v2.6.2-build20220419"
  - "rancher/hardened-sriov-network-config-daemon:v1.1.0-build20220419"
  - "rancher/hardened-sriov-network-device-plugin:v3.4.0-build20220419"
  - "rancher/hardened-sriov-network-operator:v1.1.0-build20220419"
  - "rancher/hardened-sriov-network-resources-injector:v1.3-build20220419"
  - "rancher/hardened-sriov-network-webhook:v1.1.0-build20220419"
  - "rancher/hardened-ib-sriov-cni:v1.0.2-build20221014"
  - "rancher/hardened-sriov-cni:v2.6.3-build20221014"
  - "rancher/hardened-sriov-network-config-daemon:v1.2.0-build20221014"
  - "rancher/hardened-sriov-network-device-plugin:v3.5.1-build20221014"
  - "rancher/hardened-sriov-network-operator:v1.2.0-build20221014"
  - "rancher/hardened-sriov-network-resources-injector:v1.5-build20221014"
  - "rancher/hardened-sriov-network-webhook:v1.2.0-build20221014"
  - "rancher/hardened-ib-sriov-cni:v1.0.2-build20230607"
  - "rancher/hardened-sriov-cni:v2.6.3-build20230607"
  - "rancher/hardened-sriov-network-config-daemon:v1.2.0-build20230607"
  - "rancher/hardened-sriov-network-device-plugin:v3.5.1-build20230607"
  - "rancher/hardened-sriov-network-operator:v1.2.0-build20230607"
  - "rancher/hardened-sriov-network-resources-injector:v1.5-build20230607"
  - "rancher/hardened-sriov-network-webhook:v1.2.0-build20230607"
  - "rancher/hardened-ib-sriov-cni:v1.0.2-build20230911"
  - "rancher/hardened-sriov-network-config-daemon:v1.2.0-build20230912"
  - "rancher/hardened-sriov-network-device-plugin:v3.5.1-build20230911"
  - "rancher/hardened-sriov-network-operator:v1.2.0-build20230912"
  - "rancher/hardened-sriov-network-resources-injector:v1.5-build20230911"
  - "rancher/hardened-sriov-network-webhook:v1.2.0-build20230912"
  - "rancher/hardened-sriov-cni:v2.6.3-build20230913"
  - "rancher/hardened-ib-sriov-cni:v1.0.2-build20231009"
  - "rancher/hardened-sriov-cni:v2.6.3-build20231009"
  - "rancher/hardened-sriov-network-config-daemon:v1.2.0-build20231010"
  - "rancher/hardened-sriov-network-device-plugin:v3.5.1-build20231009"
  - "rancher/hardened-sriov-network-operator:v1.2.0-build20231010"
  - "rancher/hardened-sriov-network-resources-injector:v1.5-build20231009"
  - "rancher/hardened-sriov-network-webhook:v1.2.0-build20231010"

  #metrics-server
  - "rancher/hardened-k8s-metrics-server:v0.5.0-build20211119"
  - "rancher/hardened-k8s-metrics-server:v0.6.1-build20221011"
  - "rancher/hardened-k8s-metrics-server:v0.6.2-build20221202"
  - "rancher/hardened-k8s-metrics-server:v0.6.3-build20230515"
  - "rancher/hardened-k8s-metrics-server:v0.6.3-build20230607"
  - "rancher/hardened-k8s-metrics-server:v0.6.3-build20231009"

  #coredns
  - "rancher/hardened-coredns:v1.9.3-build20220613"
  - "rancher/hardened-coredns:v1.9.3-build20221011"
  - "rancher/hardened-coredns:v1.10.1-build20230406"
  - "rancher/hardened-coredns:v1.10.1-build20230607"
  - "rancher/hardened-coredns:v1.10.1-build20231009"
  - "rancher/hardened-coredns:v1.11.1-build20240123"

  #calico/flannel
  - "rancher/hardened-flannel:v0.17.0-build20220317"
  - "rancher/hardened-calico:v3.22.2-build20220509"
  - "rancher/hardened-cni-plugins:v1.0.1-build20220223"
  - "rancher/hardened-calico:v3.24.1-build20221011"
  - "rancher/hardened-flannel:v0.19.1-build20221011"
  - "rancher/hardened-cni-plugins:v1.0.1-build20221011"
  - "rancher/hardened-calico:v3.24.5-build20221201"
  - "rancher/hardened-flannel:v0.20.2-build20221201"
  - "rancher/hardened-calico:v3.25.0-build20230209"
  - "rancher/hardened-flannel:v0.21.1-build20230208"
  - "rancher/hardened-flannel:v0.21.3-build20230308"
  - "rancher/hardened-calico:v3.25.1-build20230512"
  - "rancher/hardened-calico:v3.25.1-build20230607"
  - "rancher/hardened-cni-plugins:v1.2.0-build20230523"
  - "rancher/hardened-flannel:v0.22.0-build20230609"
  - "rancher/hardened-flannel:v0.22.0-build20230612"
  - "rancher/hardened-calico:v3.26.1-build20230802"
  - "rancher/hardened-flannel:v0.22.1-build20230802"
  - "rancher/hardened-calico:v3.26.3-build20231109"
  - "rancher/hardened-cni-plugins:v1.2.0-build20231009"
  - "rancher/hardened-flannel:v0.23.0-build20231109"
  - "rancher/hardened-calico:v3.27.0-build20240206"
  - "rancher/hardened-calico:v3.27.2-build20240308"
  - "rancher/hardened-flannel:v0.24.2-build20240122"
  - "rancher/hardened-cni-plugins:v1.4.0-build20240122"
  - "rancher/hardened-flannel:v0.25.1-build20240423"
  - "rancher/hardened-calico:v3.27.3-build20240423"
  - "rancher/hardened-calico:v3.28.0-build20240625"
  - "rancher/hardened-flannel:v0.24.3-build20240307"
  - "rancher/hardened-flannel:v0.25.4-build20240610"

  #whereabouts
  - "rancher/hardened-whereabouts:v0.5.3-build20220610"
  - "rancher/hardened-whereabouts:v0.5.3-build20221027"
  - "rancher/hardened-whereabouts:v0.6-build20230109"
  - "rancher/hardened-whereabouts:v0.6.1-build20230330"
  - "rancher/hardened-whereabouts:v0.6.2-build20230717"
  - "rancher/hardened-whereabouts:v0.6.3-build20240109"
  - "rancher/hardened-whereabouts:v0.6.3-build20240208"

  #etcd
  - "rancher/hardened-etcd:v3.5.4-k3s1-build20220504"
  - "rancher/hardened-etcd:v3.5.4-k3s1-build20221011"
  - "rancher/hardened-etcd:v3.5.7-k3s1-build20230406"
  - "rancher/hardened-etcd:v3.5.9-k3s1-build20230802"
  - "rancher/hardened-etcd:v3.5.9-k3s1-build20240418"

  #multus
  - "rancher/hardened-multus-cni:v3.8-build20211104"
  - "rancher/hardened-multus-cni:v3.8-build20221011"
  - "rancher/hardened-multus-cni:v3.9-build20221028"
  - "rancher/hardened-multus-cni:v3.9.3-build20230109"
  - "rancher/hardened-multus-cni:v4.0.2-build20230707"
  - "rancher/hardened-multus-cni:v4.0.2-build20230811"
  - "rancher/hardened-multus-cni:v4.0.2-build20231009"
  - "rancher/hardened-multus-cni:v4.0.2-build20240208"
  - "rancher/hardened-multus-cni:v4.0.2-build20240418"

  #klipper-lb
  - "rancher/klipper-lb:v0.3.5"
  - "rancher/klipper-lb:v0.4.0"
  - "rancher/klipper-lb:v0.4.3"
  - "rancher/klipper-lb:v0.4.4"
  - "rancher/klipper-lb:v0.4.5"
  - "rancher/klipper-lb:v0.4.7"

  #klipper-helm
  - "rancher/klipper-helm:v0.7.0-build20220315"
  - "rancher/klipper-helm:v0.7.3-build20220613"
  - "rancher/klipper-helm:v0.7.4-build20221121"
  - "rancher/klipper-helm:v0.7.6-build20230223"
  - "rancher/klipper-helm:v0.7.7-build20230403"
  - "rancher/klipper-helm:v0.8.0-build20230510"
  - "rancher/klipper-helm:v0.8.2-build20230815"
  - "rancher/klipper-helm:v0.8.3-build20240228"

  #traefik
  - "rancher/mirrored-library-traefik:2.6.2"
  - "rancher/mirrored-library-traefik:2.9.1"
  - "rancher/mirrored-library-traefik:2.9.4"
  - "rancher/mirrored-library-traefik:2.9.10"
  - "rancher/mirrored-library-traefik:2.10.5"

  #local-path-prov
  - "rancher/local-path-provisioner:v0.0.21"
  - "rancher/local-path-provisioner:v0.0.23"
  - "rancher/local-path-provisioner:v0.0.24"
  - "rancher/local-path-provisioner:v0.0.26"

  #cloud-provider
  - "rancher/rke2-cloud-provider:v0.0.3-build20211118"
  - "rancher/rke2-cloud-provider:v1.25.3-build20221017"
  - "rancher/rke2-cloud-provider:v1.26.1-build20230210"
  - "rancher/rke2-cloud-provider:v1.26.3-build20230406"
  - "rancher/rke2-cloud-provider:v1.26.3-build20230608"
  - "rancher/rke2-cloud-provider:v1.28.2-build20231016"
  - "rancher/rke2-cloud-provider:v1.29.3-build20240412"

  #calico images, note that as of today, the lowest supported version in 2.7.X is 3.26.3 (as found in https://github.com/rancher/kontainer-driver-metadata/blob/487e67815d786183d708abb166601e388738e9d2/pkg/rke/k8s_rke_system_images.go#L10333)
  - "rancher/mirrored-calico-apiserver:v3.23.1"
  - "rancher/mirrored-calico-node:v3.23.1"
  - "rancher/mirrored-calico-operator:v1.27.1"
  - "rancher/mirrored-calico-cni:v3.23.1"
  - "rancher/mirrored-calico-ctl:v3.23.1"
  - "rancher/mirrored-calico-kube-controllers:v3.23.1"
  - "rancher/mirrored-calico-typha:v3.23.1"
  - "rancher/mirrored-calico-apiserver:v3.24.1"
  - "rancher/mirrored-calico-cni:v3.24.1"
  - "rancher/mirrored-calico-ctl:v3.24.1"
  - "rancher/mirrored-calico-kube-controllers:v3.24.1"
  - "rancher/mirrored-calico-node:v3.24.1"
  - "rancher/mirrored-calico-operator:v1.28.1"
  - "rancher/mirrored-calico-typha:v3.24.1"
  - "rancher/mirrored-calico-apiserver:v3.24.5"
  - "rancher/mirrored-calico-cni:v3.24.5"
  - "rancher/mirrored-calico-ctl:v3.24.5"
  - "rancher/mirrored-calico-kube-controllers:v3.24.5"
  - "rancher/mirrored-calico-node:v3.24.5"
  - "rancher/mirrored-calico-operator:v1.28.5"
  - "rancher/mirrored-calico-typha:v3.24.5"
  - "rancher/mirrored-calico-ctl:v3.22.5"
  - "rancher/mirrored-calico-kube-controllers:v3.22.5"
  - "rancher/mirrored-calico-node:v3.22.5"
  - "rancher/mirrored-calico-apiserver:v3.25.0"
  - "rancher/mirrored-calico-cni:v3.25.0"
  - "rancher/mirrored-calico-ctl:v3.25.0"
  - "rancher/mirrored-calico-kube-controllers:v3.25.0"
  - "rancher/mirrored-calico-node:v3.25.0"
  - "rancher/mirrored-calico-operator:v1.29.0"
  - "rancher/mirrored-calico-typha:v3.25.0"
  - "rancher/mirrored-calico-node:v3.26.1"
  - "rancher/mirrored-calico-apiserver:v3.26.1"
  - "rancher/mirrored-calico-kube-controllers:v3.26.1"
  - "rancher/mirrored-calico-cni:v3.26.1"
  - "rancher/mirrored-calico-ctl:v3.26.1"
  - "rancher/mirrored-calico-typha:v3.26.1"
  - "rancher/mirrored-calico-operator:v1.30.4"

  #cilium
  - "rancher/mirrored-cilium-cilium:v1.12.0"
  - "rancher/mirrored-cilium-operator-aws:v1.12.0"
  - "rancher/mirrored-cilium-operator-azure:v1.12.0"
  - "rancher/mirrored-cilium-operator-generic:v1.12.0"
  - "rancher/mirrored-cilium-startup-script:d69851597ea019af980891a4628fb36b7880ec26"
  - "rancher/mirrored-cilium-cilium:v1.12.1"
  - "rancher/mirrored-cilium-operator-aws:v1.12.1"
  - "rancher/mirrored-cilium-operator-azure:v1.12.1"
  - "rancher/mirrored-cilium-operator-generic:v1.12.1"
  - "rancher/mirrored-cilium-cilium:v1.12.3"
  - "rancher/mirrored-cilium-operator-aws:v1.12.3"
  - "rancher/mirrored-cilium-operator-azure:v1.12.3"
  - "rancher/mirrored-cilium-operator-generic:v1.12.3"
  - "rancher/mirrored-cilium-certgen:v0.1.8"
  - "rancher/mirrored-cilium-cilium:v1.12.4"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.12.4"
  - "rancher/mirrored-cilium-hubble-relay:v1.12.4"
  - "rancher/mirrored-cilium-hubble-ui-backend:v0.9.2"
  - "rancher/mirrored-cilium-hubble-ui:v0.9.2"
  - "rancher/mirrored-cilium-operator-aws:v1.12.4"
  - "rancher/mirrored-cilium-operator-azure:v1.12.4"
  - "rancher/mirrored-cilium-operator-generic:v1.12.4"
  - "rancher/mirrored-cilium-cilium:v1.12.5"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.12.5"
  - "rancher/mirrored-cilium-hubble-relay:v1.12.5"
  - "rancher/mirrored-cilium-hubble-ui-backend:v0.10.0"
  - "rancher/mirrored-cilium-hubble-ui:v0.10.0"
  - "rancher/mirrored-cilium-operator-aws:v1.12.5"
  - "rancher/mirrored-cilium-operator-azure:v1.12.5"
  - "rancher/mirrored-cilium-operator-generic:v1.12.5"
  - "rancher/mirrored-cilium-cilium:v1.13.0"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.13.0"
  - "rancher/mirrored-cilium-hubble-relay:v1.13.0"
  - "rancher/mirrored-cilium-operator-aws:v1.13.0"
  - "rancher/mirrored-cilium-operator-azure:v1.13.0"
  - "rancher/mirrored-cilium-operator-generic:v1.13.0"
  - "rancher/mirrored-cilium-cilium:v1.13.2"
  - "rancher/mirrored-cilium-hubble-ui-backend:v0.11.0"
  - "rancher/mirrored-cilium-hubble-ui:v0.11.0"
  - "rancher/mirrored-cilium-hubble-ui:v0.12.0"
  - "rancher/mirrored-cilium-cilium-envoy:v1.25.9-f039e2bd380b7eef2f2feea5750676bb36133699"
  - "rancher/mirrored-cilium-cilium:v1.14.0"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.13.2"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.14.0"
  - "rancher/mirrored-cilium-hubble-relay:v1.13.2"
  - "rancher/mirrored-cilium-hubble-relay:v1.14.0"
  - "rancher/mirrored-cilium-hubble-ui-backend:v0.12.0"
  - "rancher/mirrored-cilium-kvstoremesh:v1.14.0"
  - "rancher/mirrored-cilium-operator-aws:v1.13.2"
  - "rancher/mirrored-cilium-operator-aws:v1.14.0"
  - "rancher/mirrored-cilium-operator-azure:v1.13.2"
  - "rancher/mirrored-cilium-operator-azure:v1.14.0"
  - "rancher/mirrored-cilium-operator-generic:v1.13.2"
  - "rancher/mirrored-cilium-operator-generic:v1.14.0"
  - "rancher/mirrored-cilium-certgen:v0.1.9"
  - "rancher/mirrored-cilium-cilium-envoy:v1.25.9-e198a2824d309024cb91fb6a984445e73033291d"
  - "rancher/mirrored-cilium-cilium:v1.14.2"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.14.2"
  - "rancher/mirrored-cilium-hubble-relay:v1.14.2"
  - "rancher/mirrored-cilium-kvstoremesh:v1.14.2"
  - "rancher/mirrored-cilium-operator-aws:v1.14.2"
  - "rancher/mirrored-cilium-operator-azure:v1.14.2"
  - "rancher/mirrored-cilium-operator-generic:v1.14.2"
  - "rancher/mirrored-cilium-hubble-ui-backend:v0.12.1"
  - "rancher/mirrored-cilium-hubble-ui:v0.12.1"
  - "rancher/mirrored-cilium-cilium:v1.14.4"
  - "rancher/mirrored-cilium-hubble-ui-backend:v0.13.0"
  - "rancher/mirrored-cilium-cilium-etcd-operator:v2.0.7"
  - "rancher/mirrored-cilium-cilium:v1.15.1"
  - "rancher/mirrored-cilium-cilium:v1.15.4"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.14.4"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.15.1"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.15.4 "
  - "rancher/mirrored-cilium-hubble-relay:v1.14.4"
  - "rancher/mirrored-cilium-hubble-relay:v1.15.1"
  - "rancher/mirrored-cilium-hubble-relay:v1.15.4"
  - "rancher/mirrored-cilium-kvstoremesh:v1.14.4"
  - "rancher/mirrored-cilium-operator-aws:v1.14.4"
  - "rancher/mirrored-cilium-operator-aws:v1.15.1"
  - "rancher/mirrored-cilium-operator-azure:v1.14.4"
  - "rancher/mirrored-cilium-operator-azure:v1.15.1"
  - "rancher/mirrored-cilium-operator-generic:v1.14.4"
  - "rancher/mirrored-cilium-operator-generic:v1.15.1"
  - "rancher/mirrored-cilium-certgen:v0.1.11"
  - "rancher/mirrored-cilium-operator-aws:v1.15.4"
  - "rancher/mirrored-cilium-operator-azure:v1.15.4"
  - "rancher/mirrored-cilium-operator-generic:v1.15.4"
  - "rancher/mirrored-cilium-cilium:v1.15.5"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.15.4"
  - "rancher/mirrored-cilium-clustermesh-apiserver:v1.15.5"
  - "rancher/mirrored-cilium-hubble-relay:v1.15.5"
  - "rancher/mirrored-cilium-operator-aws:v1.15.5"
  - "rancher/mirrored-cilium-operator-generic:v1.15.5"

  #cni-plugins
  - "rancher/hardened-cni-plugins:v1.4.1-build20240325"
  - "rancher/hardened-cni-plugins:v1.4.1-build20240430"

  # Guilherme - 2024-08-30
  # I'm not adding kubectl, but will leave them here, because they are still
  # used by multiple charts. We'll have to contact each chart owner and ask them
  # to bump more recent versions. My concern with EOLing right now is that some
  # teams will miss the CVEs and believe that everythnig is fine, which is not.
  #kubectl
  #- "rancher/kubectl:v1.20.2"
  #- "rancher/kubectl:v1.22.6"
  #- "rancher/kubectl:v1.23.3"
  #- "rancher/kubectl:v1.29.0"
  #- "rancher/kubectl:v1.29.2"
  
  #local-path-provisioner
  - "rancher/local-path-provisioner:v0.0.27"

  # Images related to Istio chart
  - "rancher/istio-installer:1.14.3-rancher1"
  - "rancher/istio-installer:1.15.3-rancher1"
  - "rancher/istio-installer:1.16.3-rancher1"
  - "rancher/istio-installer:1.17.2-rancher1"
  - "rancher/istio-installer:1.18.2-rancher1"
  - "rancher/istio-installer:1.18.2-rancher2"
  - "rancher/istio-installer:1.20.3-rancher1"
  - "rancher/mirrored-istio-proxyv2:1.14.3-distroless"
  - "rancher/mirrored-istio-proxyv2:1.15.3-distroless"
  - "rancher/mirrored-istio-proxyv2:1.16.3-distroless"
  - "rancher/mirrored-istio-proxyv2:1.17.2-distroless"
  - "rancher/mirrored-istio-proxyv2:1.18.2-distroless"
  - "rancher/mirrored-istio-proxyv2:1.20.3-distroless"
  - "rancher/mirrored-jaegertracing-all-in-one:1.20.0"
  - "rancher/mirrored-jaegertracing-all-in-one:1.37.0"
  - "rancher/mirrored-jaegertracing-all-in-one:1.39.0"
  - "rancher/mirrored-jaegertracing-all-in-one:1.42.0"
  - "rancher/mirrored-jaegertracing-all-in-one:1.43.0"
  - "rancher/mirrored-jaegertracing-all-in-one:1.47.0"
  - "rancher/mirrored-jaegertracing-all-in-one:1.53.0"
  - "rancher/mirrored-kiali-kiali:v1.55.0"
  - "rancher/mirrored-kiali-kiali:v1.59.0"
  - "rancher/mirrored-kiali-kiali:v1.63.2"
  - "rancher/mirrored-kiali-kiali:v1.66.0"
  - "rancher/mirrored-kiali-kiali:v1.67.0"
  - "rancher/mirrored-kiali-kiali:v1.78.0"

